
public class Class462 {

   Class222 aClass222_5732;
   Class222 aClass222_5733 = new Class222();
   public static int anInt5734;


   public boolean method7788(int var1) {
      return this.aClass222_5733.aClass222_2592 == this.aClass222_5733;
   }

   public Class222 method7789(byte var1) {
      Class222 var2 = this.aClass222_5732;
      if(var2 == this.aClass222_5733) {
         this.aClass222_5732 = null;
         return null;
      } else {
         this.aClass222_5732 = var2.aClass222_2592;
         return var2;
      }
   }

   public Class222 method7790(int var1) {
      Class222 var2 = this.aClass222_5733.aClass222_2592;
      if(this.aClass222_5733 == var2) {
         if(var1 >= -637890621) {
            ;
         }

         return null;
      } else {
         var2.method3830(2111222963);
         return var2;
      }
   }

   public static void method7791(Class222 var0, Class222 var1) {
      if(null != var0.aClass222_2591) {
         var0.method3830(2121081984);
      }

      var0.aClass222_2591 = var1;
      var0.aClass222_2592 = var1.aClass222_2592;
      var0.aClass222_2591.aClass222_2592 = var0;
      var0.aClass222_2592.aClass222_2591 = var0;
   }

   public Class462() {
      this.aClass222_5733.aClass222_2592 = this.aClass222_5733;
      this.aClass222_5733.aClass222_2591 = this.aClass222_5733;
   }

   public Class222 method7792(byte var1) {
      Class222 var2 = this.aClass222_5733.aClass222_2592;
      if(var2 == this.aClass222_5733) {
         this.aClass222_5732 = null;
         return null;
      } else {
         this.aClass222_5732 = var2.aClass222_2592;
         return var2;
      }
   }

   public void method7793() {
      while(true) {
         Class222 var1 = this.aClass222_5733.aClass222_2592;
         if(var1 == this.aClass222_5733) {
            this.aClass222_5732 = null;
            return;
         }

         var1.method3830(2107663221);
      }
   }

   public void method7794(Class222 var1, int var2) {
      if(var1.aClass222_2591 != null) {
         var1.method3830(2122552132);
      }

      var1.aClass222_2591 = this.aClass222_5733;
      var1.aClass222_2592 = this.aClass222_5733.aClass222_2592;
      var1.aClass222_2591.aClass222_2592 = var1;
      var1.aClass222_2592.aClass222_2591 = var1;
   }

   public void method7795() {
      while(true) {
         Class222 var1 = this.aClass222_5733.aClass222_2592;
         if(var1 == this.aClass222_5733) {
            this.aClass222_5732 = null;
            return;
         }

         var1.method3830(2077030059);
      }
   }

   public void method7796(Class222 var1, int var2) {
      if(null != var1.aClass222_2591) {
         var1.method3830(2115231687);
      }

      var1.aClass222_2591 = this.aClass222_5733.aClass222_2591;
      var1.aClass222_2592 = this.aClass222_5733;
      var1.aClass222_2591.aClass222_2592 = var1;
      var1.aClass222_2592.aClass222_2591 = var1;
   }

   public void method7797() {
      while(true) {
         Class222 var1 = this.aClass222_5733.aClass222_2592;
         if(var1 == this.aClass222_5733) {
            this.aClass222_5732 = null;
            return;
         }

         var1.method3830(2112966791);
      }
   }

   public void method7798(Class222 var1) {
      if(null != var1.aClass222_2591) {
         var1.method3830(2128225934);
      }

      var1.aClass222_2591 = this.aClass222_5733.aClass222_2591;
      var1.aClass222_2592 = this.aClass222_5733;
      var1.aClass222_2591.aClass222_2592 = var1;
      var1.aClass222_2592.aClass222_2591 = var1;
   }

   public void method7799(byte var1) {
      while(true) {
         Class222 var2 = this.aClass222_5733.aClass222_2592;
         if(var2 == this.aClass222_5733) {
            if(var1 == 1) {
               return;
            }

            this.aClass222_5732 = null;
            return;
         }

         var2.method3830(2141179572);
      }
   }

   public static void method7800(Class222 var0, Class222 var1) {
      if(null != var0.aClass222_2591) {
         var0.method3830(2109484919);
      }

      var0.aClass222_2591 = var1;
      var0.aClass222_2592 = var1.aClass222_2592;
      var0.aClass222_2591.aClass222_2592 = var0;
      var0.aClass222_2592.aClass222_2591 = var0;
   }

   public static void method7801(Class222 var0, Class222 var1) {
      if(null != var0.aClass222_2591) {
         var0.method3830(2111835607);
      }

      var0.aClass222_2591 = var1;
      var0.aClass222_2592 = var1.aClass222_2592;
      var0.aClass222_2591.aClass222_2592 = var0;
      var0.aClass222_2592.aClass222_2591 = var0;
   }

   public Class222 method7802() {
      Class222 var1 = this.aClass222_5733.aClass222_2592;
      if(this.aClass222_5733 == var1) {
         return null;
      } else {
         var1.method3830(2115491921);
         return var1;
      }
   }

   public Class222 method7803() {
      Class222 var1 = this.aClass222_5733.aClass222_2592;
      if(this.aClass222_5733 == var1) {
         return null;
      } else {
         var1.method3830(2075998640);
         return var1;
      }
   }

   public Class222 method7804() {
      Class222 var1 = this.aClass222_5733.aClass222_2592;
      if(var1 == this.aClass222_5733) {
         this.aClass222_5732 = null;
         return null;
      } else {
         this.aClass222_5732 = var1.aClass222_2592;
         return var1;
      }
   }

   public Class222 method7805() {
      Class222 var1 = this.aClass222_5732;
      if(var1 == this.aClass222_5733) {
         this.aClass222_5732 = null;
         return null;
      } else {
         this.aClass222_5732 = var1.aClass222_2592;
         return var1;
      }
   }
}
